Inhalte

# Funktion StrComp

Vergleicht zwei Zeichenfolgen und liefert einen ganzzahligen Wert, der das Ergebnis des Vergleichs darstellt.

### Syntax:

    StrComp (Zeichenfolge1 As String, Zeichenfolge2 As String[, Vergleich As Integer]) As Integer

### Parameter:

Zeichenfolge1: Beliebige Zeichenfolge

Zeichenfolge2: Beliebige Zeichenfolge

Vergleich: Dieser optionale Parameter legt die Vergleichsmethode fest. Wenn Vergleich = 1, wird beim Zeichenfolgen-Vergleich die Groß-/Kleinschreibung beachtet. Wenn Vergleich = 0, wird nicht zwischen Groß- und Kleinbuchstaben unterschieden.

### Rückgabewert:

Integer

- Wenn Zeichenfolge1 < Zeichenfolge2, gibt die Funktion -1 zurück

- Wenn Zeichenfolge1 = Zeichenfolge2, gibt die Funktion 0 zurück

- Wenn Zeichenfolge1 > Zeichenfolge2, gibt die Funktion 1 zurück

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleStrComp
    Dim iVar As Single
    Dim sVar As String
        iVar = 123.123
        sVar = Str$(iVar)
        MsgBox strcomp(sVar , Str$(iVar),1)
    End Sub